"""fc2c-i: enable tsm_system_rows for scalable random sampling

Revision ID: 0004
Revises: 0003
Create Date: 2026-05-15

"""
from typing import Sequence, Union

from alembic import op

revision: str = "0004"
down_revision: Union[str, None] = "0003"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.execute("CREATE EXTENSION IF NOT EXISTS tsm_system_rows")


def downgrade() -> None:
    op.execute("DROP EXTENSION IF EXISTS tsm_system_rows")
